setwd("C:/cwru/classes/epbi473_05/lec10(DNArepair)")
# the data here is all from McKee et al (2004) Cardiovascular Toxicology, 4, 155-167 

# figure 5 top panel

d=read.table("vOverT.txt",header=T)
d
attach(d)
TdR=V/VoverT
plot(TdR,V)

fopt<-function(pars)
{
Vm=exp(pars[1])
Km=exp(pars[2])
Vhat=Vm*TdR/(TdR+Km)
sum((V-Vhat)^2)
}
p0=log(c(Vm=1,Km=1))  		
opt=optim(p0,fopt,hessian=T)
params=exp(opt$par)
sig=sqrt(diag(solve(opt$hessian)))
upper=signif(exp(opt$par+1.96*sig),2)
lower=signif(exp(opt$par-1.96*sig),2)
point=round(params,2)
cbind(point,lower,upper)  # consistent with upper panel fits


# this block failed to converge
fopt<-function(pars)
{
Vm=exp(pars[1])
Km1=exp(pars[2])
Km2=exp(pars[3])
Vhat=Vm*(TdR/(TdR+Km1))*(TdR/(TdR+Km2))
sum((V-Vhat)^2)
}
p0=log(c(Vm=1,Km1=.2,Km2=2.5))  		
opt=optim(p0,fopt,hessian=T)
params=exp(opt$par)
sig=sqrt(diag(solve(opt$hessian)))
upper=signif(exp(opt$par+1.96*sig),2)
lower=signif(exp(opt$par-1.96*sig),2)
point=round(params,2)
cbind(point,lower,upper)

# this block also failed to converge
fopt<-function(pars)
{
Vm=exp(pars[1])
Km1=exp(pars[2])
n=exp(pars[3])
Vhat=Vm/(1+Km1/TdR^n)
sum((V-Vhat)^2)
}
p0=log(c(Vm=1,Km1=.2, n=1))  		
opt=optim(p0,fopt,hessian=T)
params=exp(opt$par)
sig=sqrt(diag(solve(opt$hessian)))
upper=signif(exp(opt$par+1.96*sig),2)
lower=signif(exp(opt$par-1.96*sig),2)
point=round(params,2)
cbind(point,lower,upper)











detach(d)


# figure 3 left panel

d=read.table("tmpk.txt",header=T)
attach(d)
plot(timeMin,TMP,pch="1")
points(timeMin,TDP,pch="2")
points(timeMin,TTP,pch="3")
detach(d)



